// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyBTIhVFUA_p-fdS2T6LVTUgPOY5SRTgo3w',
    appId: '1:368388433691:web:f2503d4f371829f4f7d5be',
    messagingSenderId: '368388433691',
    projectId: 'bunyan-37872',
    authDomain: 'bunyan-37872.firebaseapp.com',
    storageBucket: 'bunyan-37872.appspot.com',
    measurementId: 'G-YSTL4K4JJV',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDzefGLEtjM_NaEdiyHP9TogQ1g-jYZR8c',
    appId: '1:368388433691:android:52b3a814508d2a6af7d5be',
    messagingSenderId: '368388433691',
    projectId: 'bunyan-37872',
    storageBucket: 'bunyan-37872.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBpwzkcW2usjL3ySFGwb0H93j0Jt3XN2lI',
    appId: '1:368388433691:ios:8145045b7d0a9988f7d5be',
    messagingSenderId: '368388433691',
    projectId: 'bunyan-37872',
    storageBucket: 'bunyan-37872.appspot.com',
    iosClientId: '368388433691-1ep3ik9an3usnvg3m9daj7pc88uikh2t.apps.googleusercontent.com',
    iosBundleId: 'com.example.bunyan',
  );
}
